Subject: [392] Yet another ftpconversions problem

From: Mads Westermann <[email-masked]>
Date: Mon, 22 Aug 1994 16:27:54 +0200 (MESZ)

I have set up wu-ftpd 2.4 on a SCO ODT 3.0 box and almost everything works
fine.

Then only problem I have is the ftpconversions - I seem to lack some
doc, or I'm more ignorant than the average geek (quite possible ;-))

The man page for ftpconversions doesn't describe the options in field
6 and 7 and I cannot figure out what they're for :-(.

Second I have problems getting ftpconversions to work at all :-( I grabbed
the ftpconversions file from doc/examples of the distribution and as far as
I can figure out it serves my purposes quite fine so I shouldn't need to
change it. When I do a dir i get the following result:

ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 4
drwxr-xr-x   2 other        192 Aug 22 14:59 test1
drwxr-xr-x   2 other        160 Aug 22 13:54 test2
226 Transfer complete.
ftp> dir test1
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 18
-rw-rw-r--   1 other        468 Aug 22 13:54 a
-rw-rw-r--   1 other        468 Aug 22 13:54 b
-rw-rw-r--   1 other        468 Aug 22 13:54 c
-rw-rw-r--   1 other        468 Aug 22 13:54 d
-rw-rw-r--   1 other        468 Aug 22 13:54 e
-rw-rw-r--   1 other        468 Aug 22 13:54 f
-rw-rw-r--   1 other        468 Aug 22 13:54 g
-rw-rw-r--   1 other        468 Aug 22 13:54 h
-rw-r--r--   1 other        519 Aug 22 14:59 x.tar.gz
226 Transfer complete.

then when I do a 

ftp> get test1.tar

I get the following result:

local: test1.tar remote: test1.tar
200 PORT command successful.
550 test1.tar: No such file OR directory.

If I cd to test1 and do a get a.gz it seems to work fine since the response
is:

ftp> get a.gz
local: a.gz remote: a.gz
200 PORT command successful.
150 Opening BINARY mode data connection for /bin/gzip.
226 Transfer complete.
286 bytes received in 0.78 seconds (0.36 Kbytes/s)

When I do a get x.tar I get an error saying:

ftp> get x.tar
local: x.tar remote: x.tar
200 PORT command successful.
550 x.tar: No such file OR directory.

Obviously I'm missing something here - but I cannot figure out what -
can somebody help.

-- 
Mads Westermann <[email-masked]> http://www.dd.dk/People/Mads_Westermann.html
--------------------------------------------------------------------------
GCS d--- -p+ c(+) l+(++) u++ e-(*) m+(-) s/+ n+(---) h--- f  g+++ w+ t- r- y?